## org.jgroups.jmx
Class ResourceDMBean

    java.lang.Object
      org.jgroups.jmx.ResourceDMBean

All Implemented Interfaces:
  javax.management.DynamicMBean

    public class ResourceDMBean

extends java.lang.Object
implements javax.management.DynamicMBean

A DynamicMBean wrapping an annotated object instance.

Author:
  Chris Mills, Vladimir Blagojevic
See Also:
  `ManagedAttribute`, `ManagedOperation`, `MBean`

Constructor Summary
`ResourceDMBean(java.lang.Object instance)`

Method Summary
`static java.lang.reflect.Method` `findGetter(java.lang.Class clazz, java.lang.String name)`
`static java.lang.reflect.Method` `findSetter(java.lang.Class clazz, java.lang.String name)`
`java.lang.Object` `getAttribute(java.lang.String name)`
`javax.management.AttributeList` `getAttributes(java.lang.String[] names)`
`static java.lang.Class<?>` `getClassForName(java.lang.String name)`
`javax.management.MBeanInfo` `getMBeanInfo()`
`java.lang.Object` `invoke(java.lang.String name, java.lang.Object[] args, java.lang.String[] sig)`
`void` `setAttribute(javax.management.Attribute attribute)`
`javax.management.AttributeList` `setAttributes(javax.management.AttributeList list)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceDMBean

    public ResourceDMBean(java.lang.Object instance)

Method Detail

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

  Specified by:
    `getMBeanInfo` in interface `javax.management.DynamicMBean`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `javax.management.DynamicMBean`

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)

  Specified by:
    `setAttribute` in interface `javax.management.DynamicMBean`

### getAttributes

    public javax.management.AttributeList getAttributes(java.lang.String[] names)

  Specified by:
    `getAttributes` in interface `javax.management.DynamicMBean`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.AttributeList list)

  Specified by:
    `setAttributes` in interface `javax.management.DynamicMBean`

### invoke

    public java.lang.Object invoke(java.lang.String name,
                                   java.lang.Object[] args,
                                   java.lang.String[] sig)
                            throws javax.management.MBeanException,
                                   javax.management.ReflectionException

  Specified by:
    `invoke` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getClassForName

    public static java.lang.Class<?> getClassForName(java.lang.String name)
                                              throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### findGetter

    public static java.lang.reflect.Method findGetter(java.lang.Class clazz,
                                                      java.lang.String name)

### findSetter

    public static java.lang.reflect.Method findSetter(java.lang.Class clazz,
                                                      java.lang.String name)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.